#![feature(proc_macro_hygiene, decl_macro)]

#[macro_use] extern crate rocket;

#[cfg(test)] mod tests;

#[get("/")]
fn index() -> &'static str {
 "
    Usage

        POST /
    
            accepts image data in the body of the requests, returns the
            image with more entropy added to the least significant bits of each
            colour channel.

            EXMAPLE: curl --data-binary @file.jpg http://localhost:8000 
"
}

fn rocket() -> rocket::Rocket {
    let my_rocket = rocket::ignite().mount("/", routes![index]);
    my_rocket
}

fn main() {
    rocket().launch();
}


