use super::rocket;
use rocket::local::Client;
use rocket::http::{Status, ContentType};
    
#[test]
fn check_index() {
    let client = Client::new(rocket()).unwrap();
    
    // Ensure the index returns what we expect.
    let response = client.get("/").dispatch();
    assert_eq!(response.status(), Status::Ok);
    assert_eq!(response.content_type(), Some(ContentType::Plain));
}


